<?xml version="1.0" encoding="UTF-8"?>
<openbox_menu>
    <menu id="root-menu" label="OpenBox 3">
        <item label="Arch Menu"></item>
        <separator/>
        <item label="Hardware Diagnostics"> <action name="Execute">
            <execute>st -t "Hardware Diagnostics" -e hw-diags</execute>
        </action> </item>
        <item label="Hardware Information"> <action name="Execute">
            <execute>hardinfo</execute>
        </action> </item>
        <item label="File Manager"> <action name="Execute">
            <execute>Thunar</execute>
        </action> </item>
        <item label="GParted"> <action name="Execute">
            <execute>gparted</execute>
        </action> </item>
        <item label="GSmartControl"> <action name="Execute">
            <execute>gsmartcontrol_polkit</execute>
        </action> </item>
        <item label="Web Browser"> <action name="Execute">
            <execute>firefox</execute>
        </action> </item>
        <separator/>
        <menu id="all-items-menu" label="All Programs">
            <menu id="1" label="Development">
                <item label="IDLE (Python IDE)"> <action name="Execute">
                    <execute>idle</execute>
                </action> </item>
                <item label="Python"> <action name="Execute">
                    <execute>st -e python</execute>
                </action> </item>
                <item label="Python (v2.7)"> <action name="Execute">
                    <execute>st -e python2.7</execute>
                </action> </item>
                <item label="Tclsh8.6"> <action name="Execute">
                    <execute>st -e tclsh8.6</execute>
                </action> </item>
            </menu>
            <menu id="2" label="Editors">
                <item label="hexedit"> <action name="Execute">
                    <execute>st -e hexedit</execute>
                </action> </item>
                <item label="Nano"> <action name="Execute">
                    <execute>st -e nano</execute>
                </action> </item>
                <item label="Vi"> <action name="Execute">
                    <execute>st -e vi</execute>
                </action> </item>
                <item label="Vim"> <action name="Execute">
                    <execute>st -e vim</execute>
                </action> </item>
            </menu>
            <menu id="7" label="Multimedia">
                <item label="ALSA mixer"> <action name="Execute">
                    <execute>st -e alsamixer</execute>
                </action> </item>
                <item label="mpv Media Player"> <action name="Execute">
                    <execute>mpv</execute>
                </action> </item>
                <item label="PulseAudio Volume Control"> <action name="Execute">
                    <execute>pavucontrol</execute>
                </action> </item>
                <item label="Qt V4L2 test Utility"> <action name="Execute">
                    <execute>qv4l2</execute>
                </action> </item>
            </menu>
            <menu id="5" label="Network">
                <item label="Avahi SSH Server Browser"> <action name="Execute">
                    <execute>bssh</execute>
                </action> </item>
                <item label="Avahi VNC Server Browser"> <action name="Execute">
                    <execute>bvnc</execute>
                </action> </item>
                <item label="ELinks"> <action name="Execute">
                    <execute>st -e elinks</execute>
                </action> </item>
                <item label="FireFox"> <action name="Execute">
                    <execute>firefox</execute>
                </action> </item>
                <item label="FTP"> <action name="Execute">
                    <execute>st -e ftp</execute>
                </action> </item>
                <item label="Irssi"> <action name="Execute">
                    <execute>st -e irssi</execute>
                </action> </item>
                <item label="LFTP"> <action name="Execute">
                    <execute>st -e lftp</execute>
                </action> </item>
                <item label="Mail"> <action name="Execute">
                    <execute>st -e mail</execute>
                </action> </item>
                <item label="Mail Reader"> <action name="Execute">
                    <execute>exo-open --launch MailReader</execute>
                </action> </item>
                <item label="Talk"> <action name="Execute">
                    <execute>st -e talk</execute>
                </action> </item>
                <item label="Telnet"> <action name="Execute">
                    <execute>st -e telnet</execute>
                </action> </item>
                <item label="TkVNC"> <action name="Execute">
                    <execute>st -e tkvnc</execute>
                </action> </item>
                <item label="Web Browser"> <action name="Execute">
                    <execute>exo-open --launch WebBrowser</execute>
                </action> </item>
                <item label="Zenmap"> <action name="Execute">
                    <execute>zenmap</execute>
                </action> </item>
                <item label="Zenmap (as root)"> <action name="Execute">
                    <execute>/usr/share/zenmap/su-to-zenmap.sh</execute>
                </action> </item>
            </menu>
            <menu id="4" label="Science">
                <item label="bc"> <action name="Execute">
                    <execute>st -e bc</execute>
                </action> </item>
                <item label="dc"> <action name="Execute">
                    <execute>st -e dc</execute>
                </action> </item>
            </menu>
            <menu id="19" label="Shells">
                <item label="MC"> <action name="Execute">
                    <execute>st -e mc</execute>
                </action> </item>
                <item label="Thunar File Manager"> <action name="Execute">
                    <execute>thunar</execute>
                </action> </item>
                <item label="st"> <action name="Execute">
                    <execute>st</execute>
                </action> </item>
            </menu>
            <menu id="37" label="System">
                <menu id="36" label="Settings">
                    <menu id="21" label="GNOME">
                        <item label="Network Connections"> <action name="Execute">
                            <execute>nm-connection-editor</execute>
                        </action> </item>
                    </menu>
                    <item label="File Manager"> <action name="Execute">
                        <execute>thunar-settings</execute>
                    </action> </item>
                    <item label="Preferred Applications"> <action name="Execute">
                        <execute>exo-preferred-applications</execute>
                    </action> </item>
                    <item label="Tint2 Settings"> <action name="Execute">
                        <execute>tint2conf</execute>
                    </action> </item>
                </menu>
                <item label="Avahi Zeroconf Browser"> <action name="Execute">
                    <execute>avahi-discover</execute>
                </action> </item>
                <item label="Bulk Rename"> <action name="Execute">
                    <execute>/usr/lib/Thunar/ThunarBulkRename</execute>
                </action> </item>
                <item label="Conky"> <action name="Execute">
                    <execute>st -e conky</execute>
                </action> </item>
                <item label="GParted"> <action name="Execute">
                    <execute>gparted</execute>
                </action> </item>
                <item label="GSmartControl"> <action name="Execute">
                    <execute>gsmartcontrol_polkit</execute>
                </action> </item>
                <item label="Htop"> <action name="Execute">
                    <execute>st -e htop</execute>
                </action> </item>
                <item label="Openbox Menu Editor"> <action name="Execute">
                    <execute>obmenu</execute>
                </action> </item>
                <item label="pstree"> <action name="Execute">
                    <execute>st -e pstree</execute>
                </action> </item>
                <item label="pstree"> <action name="Execute">
                    <execute>st -e /usr/bin/pstree.x11</execute>
                </action> </item>
                <item label="Pstree"> <action name="Execute">
                    <execute>st -e pstree.x11</execute>
                </action> </item>
                <item label="System Profiler and Benchmark"> <action name="Execute">
                    <execute>hardinfo</execute>
                </action> </item>
                <item label="Tint2"> <action name="Execute">
                    <execute>tint2</execute>
                </action> </item>
                <item label="Top"> <action name="Execute">
                    <execute>st -e top</execute>
                </action> </item>
                <item label="VeraCrypt"> <action name="Execute">
                    <execute>veracrypt</execute>
                </action> </item>
            </menu>
            <menu id="38" label="Utilities">
                <item label="About Xfce"> <action name="Execute">
                    <execute>xfce4-about</execute>
                </action> </item>
                <item label="compton"> <action name="Execute">
                    <execute>compton --xrender-sync-fence</execute>
                </action> </item>
                <item label="Console Matrix (Text)"> <action name="Execute">
                    <execute>st -e cmatrix</execute>
                </action> </item>
                <item label="File Manager"> <action name="Execute">
                    <execute>exo-open --launch FileManager</execute>
                </action> </item>
                <item label="Info"> <action name="Execute">
                    <execute>st -e info</execute>
                </action> </item>
                <item label="Terminal Emulator"> <action name="Execute">
                    <execute>exo-open --launch TerminalEmulator</execute>
                </action> </item>
                <item label="Xev"> <action name="Execute">
                    <execute>st -e xev</execute>
                </action> </item>
            </menu>
            <separator/>
            <menu id="40" label="OpenBox">
                <menu id="client-list-menu"/>
                <item label="Reconfigure"> <action name="Reconfigure"/> </item>
            </menu>
        </menu>
        <separator/>
        <item label="Exit"> <action name="Execute">
            <execute>menu_powermenu</execute>
        </action> </item>
    </menu>
</openbox_menu>
